summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-11 14:05:54 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:05:54 +0200
commit809d6e39c57f0cf9f0835e4b73bd988b3b7da0bb (patch)
treec79135cb787ea411a796d5e5b191e2153246b7dc /development
parent6e67ed1e21d06bab6d8c37f1295dc88118c13796 (diff)
downloadslackbuilds-809d6e39c57f0cf9f0835e4b73bd988b3b7da0bb.tar.gz
slackbuilds-809d6e39c57f0cf9f0835e4b73bd988b3b7da0bb.tar.xz
development/xml-simple: Initial import
Diffstat (limited to 'development')
-rw-r--r--development/xml-simple/README5
-rw-r--r--development/xml-simple/slack-desc9
-rw-r--r--development/xml-simple/xml-simple.SlackBuild72
-rw-r--r--development/xml-simple/xml-simple.info8
4 files changed, 94 insertions, 0 deletions
diff --git a/development/xml-simple/README b/development/xml-simple/README
new file mode 100644
index 0000000000..8546af6a8f
--- /dev/null
+++ b/development/xml-simple/README
@@ -0,0 +1,5 @@
+XML::Simple is a perl module for reading/writing XML
+
+It provides a simple API layer on top of an underlying
+parsing module (like XML::Parser, which is already included
+in Slackware's Perl package).
diff --git a/development/xml-simple/slack-desc b/development/xml-simple/slack-desc
new file mode 100644
index 0000000000..7730ea7fa1
--- /dev/null
+++ b/development/xml-simple/slack-desc
@@ -0,0 +1,9 @@
+xml-simple: xml-simple (perl module for reading/writing XML)
+xml-simple:
+xml-simple: XML::Simple is a perl module for reading/writing XML
+xml-simple: It provides a simple API layer on top of an underlying
+xml-simple: parsing module (like XML::Parser, which is already included
+xml-simple: in Slackware's Perl package).
+xml-simple:
+xml-simple: Homepage: http://search.cpan.org/dist/XML-Simple/
+xml-simple:
diff --git a/development/xml-simple/xml-simple.SlackBuild b/development/xml-simple/xml-simple.SlackBuild
new file mode 100644
index 0000000000..67dec90a48
--- /dev/null
+++ b/development/xml-simple/xml-simple.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+#
+# Slackware Build Script for XML-Simple
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuilds.org Project.
+
+set -e
+
+PRGNAM=XML-Simple
+PKGNAME=xml-simple
+VERSION=2.16
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root . || true
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL || exit 1
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share
+
+( cd $PKG/usr/man
+ find . -name "*.?" -type f 2> /dev/null | xargs gzip -9 2> /dev/null
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Remove perlocal.pod and .packlist from $PKG
+( for i in perllocal.pod .packlist; do
+ find $PKG -name $i -exec rm -rf {} \;
+ done
+) || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a Changes README $PKG/usr/doc/$PKGNAME-$VERSION
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+chmod 644 $PKG/usr/doc/$PKGNAME-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/xml-simple/xml-simple.info b/development/xml-simple/xml-simple.info
new file mode 100644
index 0000000000..f3a32c62a5
--- /dev/null
+++ b/development/xml-simple/xml-simple.info
@@ -0,0 +1,8 @@
+PRGNAME="xml-simple"
+VERSION="2.16"
+HOMEPAGE="http://search.cpan.org/dist/XML-Simple/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GR/GRANTM/XML-Simple-2.16.tar.gz"
+MD5SUM="80c0980ff63d77b871de41acc7175df7"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="BP{k},rworkman"